Package org.silverpeas.components.almanach.services

## Class AlmanachCalendarResource

- java.lang.Object
- - org.silverpeas.core.web.rs.RESTWebService
  - - org.silverpeas.core.webapi.calendar.AbstractCalendarResource
    - - org.silverpeas.core.webapi.calendar.CalendarResource
      - - org.silverpeas.components.almanach.services.AlmanachCalendarResource

- All Implemented Interfaces:
    `org.silverpeas.core.web.rs.ProtectedWebResource`, `org.silverpeas.core.web.rs.WebAuthenticationValidation`, `org.silverpeas.core.web.rs.WebAuthorizationValidation`, `org.silverpeas.core.web.SilverpeasWebResource`

      @WebService
      @Path("almanach/{componentInstanceId}")
      @Authorized
      public class AlmanachCalendarResource
      extends org.silverpeas.core.webapi.calendar.CalendarResource

  A REST Web resource giving calendar data for almanach component.
  Author:
    Yohann Chastagnier

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.silverpeas.core.web.rs.RESTWebService

      `org.silverpeas.core.web.rs.RESTWebService.WebProcess<R extends Object>, org.silverpeas.core.web.rs.RESTWebService.WebTreatment<R extends Object>`

  - ### Field Summary

    - ### Fields inherited from class org.silverpeas.core.web.rs.RESTWebService

      `RESPONSE_HEADER_ARRAYSIZE`

    - ### Fields inherited from interface org.silverpeas.core.web.SilverpeasWebResource

      `BASE_PATH`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AlmanachCalendarResource()` |

  - ### Method Summary

    - ### Methods inherited from class org.silverpeas.core.webapi.calendar.CalendarResource

      `asAttendeeWebEntity, asAttributeWebEntity, asEventWebEntities, asEventWebEntity, asOccurrenceWebEntities, asOccurrenceWebEntity, asWebEntities, asWebEntity, createCalendar, createEvent, deleteCalendar, deleteEventOccurrence, exportCalendarAsICalendarFormat, getAllEventOccurrencesFrom, getBundleLocation, getCalendar, getCalendars, getEvent, getEventOccurrence, getEventOccurrencesOf, getEventOccurrencesOf, getNextEventOccurrences, importEventsAsICalendarFormat, synchronizeCalendar, updateCalendar, updateEventAttendeeParticipation, updateEventOccurrence`

    - ### Methods inherited from class org.silverpeas.core.webapi.calendar.AbstractCalendarResource

      `getComponentId, getResourceBasePath, getZoneId, uri`

    - ### Methods inherited from class org.silverpeas.core.web.rs.RESTWebService

      `createWebResourceUri, fromPage, getBundle, getHighestUserRole, getHttpRequest, getHttpServletRequest, getHttpServletResponse, getOrganisationController, getSilverpeasContext, getUri, getUser, getUserPreferences, getUserRoles, identifiedBy, identifiedBy, initContext, initWebResourceUri, isUserDefined, process`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.silverpeas.core.web.rs.ProtectedWebResource

      `validateUserAuthorization`

    - ### Methods inherited from interface org.silverpeas.core.web.rs.WebAuthenticationValidation

      `validateUserAuthentication`

- - ### Constructor Detail

    - #### AlmanachCalendarResource

          public AlmanachCalendarResource()